Page MenuHomePhabricator

Inconsistent timezones in the block log with absolute durations on dewiki
Closed, ResolvedPublic

Description

In the user block log, the block duration is displayed as a UTC timestamp. All other timestamps are in the local or user timezone. This behavior highly confusing if you don't know about it, and often leads to wrong block durations when a block is reinstated.

Example: User:195.191.253.151 on dewiki, block as of 2016-03-30T12:27:07 CEST:

  • I entered 2016-03-31 12:30 on [[Special:Block]]. This timestamp was interpreted as CEST (= 2016-03-31 10:30 UTC).
  • In the block log, the timestamp of the block is shown in the local or user timezone (CEST for me). But the end of the block is shown in UTC.
  • The user can't tell that the two timestamps are in different timezones.

There are at least two possible solutions for this problem:

  • Display block durations in the local or user timezone.
  • Add the timezone to timestamps that are not shown in the local or user timezone.

Details

Related Gerrit Patches:

Event Timeline

Ireas created this task.Mar 30 2016, 12:11 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 30 2016, 12:11 PM
Yellowcard added a subscriber: Yellowcard.

Change 281692 had a related patch set uploaded (by Umherirrender):
Show absolute block expiry in user timezone on block logs

https://gerrit.wikimedia.org/r/281692

Florian closed this task as Resolved.Apr 9 2016, 5:44 PM
Florian triaged this task as Medium priority.
Florian removed a project: Patch-For-Review.

Change 281692 merged by jenkins-bot:
Show absolute block expiry in user timezone on block logs

https://gerrit.wikimedia.org/r/281692